## ros-indigo-aubo-kinematics 0.3.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aubo_kinematics)

find_package(catkin REQUIRED COMPONENTS roscpp geometry_msgs moveit_core
  moveit_ros_planning pluginlib tf_conversions)

find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES aubo_i5_kin aubo_i5_moveit_plugin
  CATKIN_DEPENDS roscpp geometry_msgs moveit_core moveit_kinematics  moveit_ros_planning
    pluginlib tf_conversions
  DEPENDS boost
)


###########
## Build ##
###########

include_directories(SYSTEM ${Boost_INCLUDE_DIR})
include_directories(include ${catkin_INCLUDE_DIRS})


add_library(aubo_i5_kin src/aubo_kin.cpp)
set_target_properties(aubo_i5_kin PROPERTIES COMPILE_DEFINITIONS "AUBO_I5_PARAMS")


add_library(aubo_i5_moveit_plugin src/aubo_moveit_plugin.cpp)
set_target_properties(aubo_i5_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "AUBO_I5_PARAMS")
target_link_libraries(aubo_i5_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  aubo_i5_kin)



#############
## Install ##
#############

install(TARGETS aubo_i5_kin aubo_i5_moveit_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# install moveit plugin description file
install(FILES aubo_moveit_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-aubo-kinematics (0.3.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- liuxin <liuxin@our-robotics.com>  Fri, 31 Mar 2017 07:03:18 -0000

ros-indigo-aubo-kinematics (0.3.0-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 14 Nov 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.2.2-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Wed, 26 Oct 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.2.1-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.2.0-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.1.2-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Thu, 29 Sep 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.1.1-0trusty) trusty; urgency=high

  * update CHANGELOG.rst
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 19 Sep 2016 16:00:00 -0000

ros-indigo-aubo-kinematics (0.1.0-0trusty) trusty; urgency=high

  * add CHANGELOG.rst
  * update version 0.0.1
  * update README
  * Aubo robotics ROS version 1.0
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Sun, 18 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-aubo-kinematics
Section: misc
Priority: extra
Maintainer: liuxin <liuxin@our-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-kinematics, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Homepage: http://wiki.ros.org/aubo_kinematics
Standards-Version: 3.9.2

Package: ros-indigo-aubo-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-kinematics, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Description: Provides forward and inverse kinematics for Aubo Robots designs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-aubo-kinematics//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
